#include "point.hpp"
#include <cmath>

int main(int argc, char* argv[]) {

  Point p1;
  std::cout << "p1, should be (0.,0.) : " << std::endl;
  p1.display();

  Point p2(1.,1.);
  std::cout << "p2, should be (1.,1.) : " << p2 << std::endl;

  Point p3(p2);
  std::cout << "p3, should be p2 : " << p2 << std::endl;

  p2.shift(0.,-1);
  std::cout << "p2 shifted, should be (1.,0.) : " << p2 << std::endl;

  p2.rotate(M_PI/2.);
  std::cout << "p2 rotated, should be (0.,1.) : " << p2 << std::endl;
  
  std::cout << "distance p2 p1, should be 1. : " << p2.distance(p1) << std::endl;

  std::cout << "midpoint between p1 and p2, should be (0.,0.5) : " << midPoint(p1,p2) << std::endl;

  return 0;
}
